FreeMat

- Main Page
- Related Pages

vtkGlyph2D

Section: Visualization Toolkit Graphics Classes

# Usage

This subclass of vtkGlyph3D is a specialization to 2D. Transformations (i.e., translation, scaling, and rotation) are constrained to the plane. For example, rotations due to a vector are computed from the x-y coordinates of the vector only, and are assumed to occur around the z-axis. (See vtkGlyph3D for documentation on the interface to this class.)

To create an instance of class vtkGlyph2D, simply invoke its constructor as follows

      obj = vtkGlyph2D

# Methods

The class vtkGlyph2D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGlyph2D class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGlyph2D = obj.NewInstance ()`
- `vtkGlyph2D = obj.SafeDownCast (vtkObject o)`